Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.guids
Class GUIDDispenserManager

    java.lang.Object
      com.ejie.r01f.guids.GUIDDispenserManager

public class GUIDDispenserManager
extends java.lang.Object

Gestiona la creacion y mantenimiento de los dispensers de GUIDs La definicion de los dispensers de GUIDs se hace en el fichero .properties de la aplicacion en una seccion como: lc com.ejie.r01f.guids.SimpleGUIDDispenser 20 desa com.ejie.r01f.guids.GUIDGenerator 9 9 com.ejie.r01f.guids.MemoryGUIDPersist Los dispenser se pueden crear de dos formas: 1. Creando previamente la definicion del dispenser Properties props = new Properties(); props.put("highKeyBytes","5"); props.put("lowKeyBytes","5"); props.put("persistClassName","com.ejie.r01f.guids.MemoryGUIDPersist"); GUIDDispenserDef def = new GUIDDispenserDef("r01f","prueba","test","com.ejie.r01f.guids.HighLowGUIDDispenser",props); GUIDDispenser disp1 = GUIDDispenserManager.createDispenser(def); 2. Tomando la configuracion del dispenser desde el fichero de propiedades GUIDDispenser disp = GUIDDispenserManager.createDispenser("r01f","test"); Una vez creado el dispenser su utilización es: String uid = disp.getGUID();

Method Summary
`static GUIDDispenser` | `createDispenser()` Crea un dispenser de GUIDs en base a la configuracion por defecto (toma el dispenser "default" de R0F
`static GUIDDispenser` | `createDispenser(GUIDDispenserDef newDispenserDef)` Crea un nuevo dispenser y lo mete en el mapa de secuencias, en caso de ya existir un dispenser con la misma clave "dispenserKey", retorna el ya creado.
`static GUIDDispenser` | `createDispenser(java.lang.String appCode)` Crea un dispenser de GUIDs en base a la configuracion por defecto (toma el dispenser "default" del codigo de aplicacion
`static GUIDDispenser` | `createDispenser(java.lang.String appCode, java.lang.String sequenceId)` Crea un dispenser de GUIDs

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createDispenser

    public static GUIDDispenser createDispenser()
                                         throws GUIDDispenserException

  Crea un dispenser de GUIDs en base a la configuracion por defecto (toma el dispenser "default" de R0F

  Returns:
    El dispenser
  Throws:
    `GUIDDispenserException`

### createDispenser

    public static GUIDDispenser createDispenser(java.lang.String appCode)
                                         throws GUIDDispenserException

  Crea un dispenser de GUIDs en base a la configuracion por defecto (toma el dispenser "default" del codigo de aplicacion

  Parameters:
    `appCode` - Codigo de aplicacion
  Returns:
    El dispenser
  Throws:
    `GUIDDispenserException`

### createDispenser

    public static GUIDDispenser createDispenser(java.lang.String appCode,
                                                java.lang.String sequenceId)
                                         throws GUIDDispenserException

  Crea un dispenser de GUIDs

  Parameters:
    `appCode` - Codigo de aplicacion
    `sequenceId` - Identificador de la secuencia
  Returns:
    El dispenser
  Throws:
    `GUIDDispenserException` - si existe algun error...

### createDispenser

    public static GUIDDispenser createDispenser(GUIDDispenserDef newDispenserDef)
                                         throws GUIDDispenserException

  Crea un nuevo dispenser y lo mete en el mapa de secuencias, en caso de ya existir un dispenser con la misma clave "dispenserKey", retorna el ya creado.

  Parameters:
    `newDispenserDef` - definicion del nuevo dispenser
  Returns:
    el dispenser recien creado
  Throws:
    `GUIDDispenserException` - si ocurre algun error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD